domein ophalen
Retourneert klantgerichte domeindetails.
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"outbound_routing_ready": true,
"status": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auto_renew": false,
"created_at": "<string>",
"dedicated_ip_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dns_records": [
{
"id": 123,
"name": "<string>",
"ttl": 123,
"type": "<string>",
"value": "<string>",
"is_system_managed": false,
"priority": 123
}
],
"inbound_tenant_external_id": "<string>",
"inbound_tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inbound_tenant_name": "<string>",
"inbound_tenant_type": "<string>",
"mailboxes": [
{
"active": true,
"email": "<string>",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>"
}
],
"redirect_mode": "301",
"redirect_url": "<string>",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorisaties
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Respons
Domein UUID
Domeinnaam
Of uitgaande routering gereed is
Levenscyclusstatus van domein
Werkruimte UUID die het domein bevat
Of automatische verlenging van domeinen is ingeschakeld
Tijdstempel voor het maken van domeinen
Toegewezen speciale IP UUID, indien aanwezig
DNS-records voor het domein
Hide child attributes
Hide child attributes
DNS record-ID
DNS-recordnaam
DNS neemt TTL op in seconden
DNS-recordtype
DNS recordwaarde
Of de record wordt beheerd door HybridBox
DNS recordprioriteit indien van toepassing
Externe ID van de provider voor de inkomende tenant
Inkomende tenant UUID, indien toegewezen
Weergavenaam van binnenkomende tenant, indien toegewezen
Binnenkomend tenanttype, indien toegewezen
Postbussen op het domein
Hide child attributes
Hide child attributes
Geconfigureerde omleidingsmodus, indien aanwezig
301, 302, iframe Geconfigureerde omleidings-URL, indien aanwezig
Tijdstempel van laatste update van domein
Was deze pagina nuttig?
